generic-deriving-1.9.0: Generic programming library for generalised deriving.

Safe Haskell | None
Language | Haskell98

Generics.Deriving.Copoint

Contents

- GCopoint class
- Default method

Synopsis

- class GCopoint d where
  - gcopoint :: d a -> a
- gcopointdefault :: (Generic1 d, GCopoint' (Rep1 d)) => d a -> a

# GCopoint class

class GCopoint d where Source

Minimal complete definition

Nothing

Methods

gcopoint :: d a -> a Source

Instances

GCopoint Identity Source |
GCopoint Dual Source |
GCopoint Sum Source |
GCopoint ((,) a) Source |
GCopoint m => GCopoint (WrappedMonad m) Source |
GCopoint ((,,) a b) Source |
GCopoint ((,,,) a b c) Source |
GCopoint ((,,,,) a b c d) Source |
GCopoint ((,,,,,) a b c d e) Source |
GCopoint ((,,,,,,) a b c d e f) Source |

# Default method

gcopointdefault :: (Generic1 d, GCopoint' (Rep1 d)) => d a -> a Source